Skip to main content
POST
/
v1
/
employer-identifiers
/
{employer_identifier}
/
employee-aliases
/
resolve
Resolve employee aliases
curl --request POST \
  --url https://api.payrollintegrationsapp.com/v1/employer-identifiers/{employer_identifier}/employee-aliases/resolve \
  --header 'Content-Type: application/json' \
  --data '
{
  "aliases": [
    {
      "type": "SSN",
      "value": "123-45-6789"
    },
    {
      "type": "SSN",
      "value": "987-65-4321"
    },
    {
      "type": "SSN",
      "value": "999-99-9999"
    }
  ]
}
'
{
  "data": [
    {
      "alias": {
        "type": "SSN",
        "value": "123-45-6789"
      },
      "records": [
        {
          "employeeProfileIds": [
            "11111111-1111-1111-1111-111111111111",
            "22222222-2222-2222-2222-222222222222"
          ],
          "payrollConnectionId": "33333333-3333-3333-3333-333333333333",
          "employeeId": "55555555-5555-5555-5555-555555555555"
        }
      ]
    },
    {
      "alias": {
        "type": "SSN",
        "value": "987-65-4321"
      },
      "records": [
        {
          "employeeProfileIds": [
            "44444444-4444-4444-4444-444444444444"
          ],
          "payrollConnectionId": "33333333-3333-3333-3333-333333333333",
          "employeeId": "66666666-6666-6666-6666-666666666666"
        }
      ]
    },
    {
      "alias": {
        "type": "SSN",
        "value": "999-99-9999"
      },
      "records": []
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

employer_identifier
string<uuid>
required

UUID of the employer identifier

Body

application/json

Contains a list of employee aliases to match to their corresponding UUIDs

The body is of type any.

Response

Resolved alias mappings for each provided alias, returns an empty array if no match is found